#include <gargoyle/sleuth.h>
#include <gargoyle/twine.h>
#include <stddef.h>

struct gargoyle_opt *gargoyle_find_brand(uint16_t optc, struct gargoyle_opt *optv, const char *brand) {
  for(; optc; optc -= 1, optv += 1) {
    if(gargoyle_cmp(brand, optv->brand, optv->brand_sz, GARGOYLE_CMP_FLXBL)) {
      return optv;
    }
  }

  return NULL;
}

struct gargoyle_opt *gargoyle_find_emblem(uint16_t optc, struct gargoyle_opt *optv, const char emblem) {
  for(; optc; optc -= 1, optv += 1) {
    if(emblem == optv->emblem) {
      return optv;
    }
  }

  return NULL;
}
